### Hierarchy

- AbstractMasterPage
  - MasterPage

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- addItem
- createDefaultValue
- items
- navParams
- ngRedux
- path
- pushDetail
- schema
- uischema

### Methods

- ngOnInit
- onClick
- onItemSelected

## Constructors

### constructor

- new MasterPage(navParams: NavParams, ngRedux: NgRedux<JsonFormsState>): MasterPage

- - Defined in other/list-with-detail/pages/master/master.ts:42

  #### Parameters

  - ##### navParams: NavParams

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns MasterPage

## Properties

### addItem

addItem: function

- Defined in other/list-with-detail/pages/master/master.ts:40

#### Type declaration

- - (path: string, value: any): function

  - #### Parameters

    - ##### path: string

    - ##### value: any

    #### Returns function

    - - (): void

      - #### Returns void

### createDefaultValue

createDefaultValue: function

- Defined in other/list-with-detail/pages/master/master.ts:42

#### Type declaration

- - (): void

  - #### Returns void

### items

items: MasterItem

- Defined in other/list-with-detail/pages/master/master.ts:36

### navParams

navParams: NavParams

- Defined in other/list-with-detail/pages/master/master.ts:45

### Private ngRedux

ngRedux: NgRedux<JsonFormsState>

- Defined in other/list-with-detail/pages/master/master.ts:46

### path

path: string

- Defined in other/list-with-detail/pages/master/master.ts:39

### pushDetail

pushDetail: function

- Defined in other/list-with-detail/pages/master/master.ts:41

#### Type declaration

- - (params: any): void

  - #### Parameters

    - ##### params: any

    #### Returns void

### schema

schema: JsonSchema

- Defined in other/list-with-detail/pages/master/master.ts:38

### uischema

uischema: ControlElement

- Defined in other/list-with-detail/pages/master/master.ts:37

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in other/list-with-detail/pages/master/master.ts:57

  #### Returns void

### onClick

- onClick(): void

- - Defined in other/list-with-detail/pages/master/master.ts:66

  #### Returns void

### onItemSelected

- onItemSelected(item: any): void

- - Defined in other/list-with-detail/pages/master/master.ts:62

  #### Parameters

  - ##### item: any

  #### Returns void

Generated using TypeDoc